跳至内容

确定连接价格

确定指定 Equinix Fabric 连接的成本。

先决条件

  1. 身份验证 - 请提交您的用户凭据、客户端 ID 和客户端密钥以进行 OAuth2 身份验证。有关如何调用 OAuth API 来验证和确认您的凭据的说明,请参阅API 身份验证

  2. 使用 Get All Ports 端点获取相关端口信息。

  3. 使用 Get All Metros 端点查找 Equinix Fabric 可用的所有都市区,并确定目标位置。

请求两个端口之间的连接定价信息

要请求价格信息,请向 /fabric/v4/prices/search 端点发送 POST 请求。在请求正文中指定您的定价条件。

POST /fabric/v4/prices/search
MethodPOST
URL or Endpoint/fabric/v4/prices/search
HeadersAuthorization, Content-Type
Path ParametersNot applicable
Query ParametersNot applicable
Body Parametersfilter

示例 cURL 请求:

curl -X POST 'https://api.equinix.com/fabric/v4/prices/search'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
    "filter": {
        "and": [
            {
                "property": "/type",
                "operator": "=",
                "values": [
                    "VIRTUAL_CONNECTION_PRODUCT"
                ]
            },
            {
                "property": "/connection/type",
                "operator": "=",
                "values": [
                    "EVPL_VC"
                ]
            },
            {
                "property": "/connection/bandwidth",
                "operator": "IN",
                "values": [
                    50,
                    1000
                ]
            },
            {
                "property": "/connection/aSide/accessPoint/type",
                "operator": "=",
                "values": [
                    "COLO"
                ]
            },
            {
                "property": "/connection/aSide/accessPoint/uuid",
                "operator": "=",
                "values": [
                    "b840a1db-54ab-4abf-97e0-328a5c00a874"
                ]
            },
            {
                "property": "/connection/zSide/accessPoint/location/metroCode",
                "operator": "=",
                "values": [
                    "DC"
                ]
            },
            {
                "property": "/connection/zSide/accessPoint/type",
                "operator": "=",
                "values": [
                    "COLO"
                ]
            }
        ]
    }
}'

请求正文中包含的参数仅适用于此示例。有关参数及其说明的完整列表,请参阅API 参考

请求虚拟设备和端口之间的连接的定价信息

要请求价格信息,请向 /fabric/v4/prices/search 端点发送 POST 请求。在请求正文中指定您的定价条件。

示例 cURL 请求:

curl -X POST 'https://api.equinix.com/fabric/v4/prices/search'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
    "filter": {
        "and": [
            {
                "property": "/type",
                "operator": "=",
                "values": [
                    "VIRTUAL_CONNECTION_PRODUCT"
                ]
            },
            {
                "property": "/connection/type",
                "operator": "=",
                "values": [
                    "EVPL_VC"
                ]
            },
            {
                "property": "/connection/bandwidth",
                "operator": "IN",
                "values": [
                    50,
                    1000
                ]
            },
            {
                "property": "/connection/aSide/accessPoint/type",
                "operator": "=",
                "values": [
                    "VD"
                ]
            },
            {
                "property": "/connection/aSide/accessPoint/",
                "operator": "=",
                "values": [
                    "CH"
                ]
            },
            {
                "property": "/connection/zSide/accessPoint/location/metroCode",
                "operator": "=",
                "values": [
                    "DC"
                ]
            },
            {
                "property": "/connection/zSide/accessPoint/type",
                "operator": "=",
                "values": [
                    "COLO"
                ]
            }
        ]
    }
}'

请求正文中包含的参数仅适用于此示例。有关参数及其说明的完整列表,请参阅API 参考

此页面有帮助吗?